Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.entities
Class Group

    java.lang.Object
      ipipan.spejd.entities.Entity
          ipipan.spejd.entities.Group

    public class Group

extends Entity

A representation of syntactic group.

Field Summary

Fields inherited from class ipipan.spejd.entities.Entity
`ARRAY, GROUP, NOSPACE, NULL, SEGMENT, TOKEN, type, WORD`

Constructor Summary
`Group(java.lang.String type, Entity synh, Entity semh, Entity[] match, Config conf)`

Method Summary
`void` | `delete(java.util.regex.Pattern pattern, boolean neg)` Delete all interpretations matching / not matching specified pattern.
`java.lang.String` | `getAttr(int id)` Get orthographic or base form of an entity.
`java.util.Set<java.lang.String>` | `getAttrValues(int[] attrIds, boolean acceptNull)`
`java.lang.String` | `getGroupType()` Get group type.
`Segment` | `getSemHead()` Get semantic head of an entity.
`Segment` | `getSynHead()` Get syntactic head of an entity.
`void` | `printXML(java.io.PrintStream out)` Prints the XML (XCES) representation of entity on the given PrintStream.

Methods inherited from class ipipan.spejd.entities.Entity
`add, concatAttr, concatAttr, getCommonValues, getId, getInterpretationArray, getInterpretations, getReplacement, setReplacement, setRule, toTxt, unify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Group

    public Group(java.lang.String type,
                 Entity synh,
                 Entity semh,
                 Entity[] match,
                 Config conf)

Method Detail

### getAttr

    public java.lang.String getAttr(int id)

  Description copied from class: `Entity`
  Get orthographic or base form of an entity.

  Overrides:
    `getAttr` in class `Entity`
  Parameters:
    `id` - Attribute.ORTH or Attribute.BASE
  Returns:
    orthographic or base form for segments and words, empty string for groups and special entities (ns, sb, se).

### getSynHead

    public Segment getSynHead()

  Description copied from class: `Entity`
  Get syntactic head of an entity.

  Overrides:
    `getSynHead` in class `Entity`
  Returns:
    semantic head of a group, null otherwise

### getSemHead

    public Segment getSemHead()

  Description copied from class: `Entity`
  Get semantic head of an entity.

  Overrides:
    `getSemHead` in class `Entity`
  Returns:
    semantic head of a group, null otherwise

### getGroupType

    public java.lang.String getGroupType()

  Description copied from class: `Entity`
  Get group type.

  Overrides:
    `getGroupType` in class `Entity`
  Returns:
    type of a group, null otherwise

### getAttrValues

    public java.util.Set<java.lang.String> getAttrValues(int[] attrIds,
                                                         boolean acceptNull)

  Overrides:
    `getAttrValues` in class `Entity`

### delete

    public void delete(java.util.regex.Pattern pattern,
                       boolean neg)

  Description copied from class: `Entity`
  Delete all interpretations matching / not matching specified pattern.

  Overrides:
    `delete` in class `Entity`

### printXML

    public void printXML(java.io.PrintStream out)

  Description copied from class: `Entity`
  Prints the XML (XCES) representation of entity on the given PrintStream.

  Specified by:
    `printXML` in class `Entity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD